TheLoot = {}

function TheLoot:GetLootString(itemName)
  local idx = 0
  for i,lootString in pairs(self.BigLootTable) do
    -- if idx == 0 then print ("looking for "..itemName.." in Big loot table") end
    if i == itemName then
      return lootString
    end
    idx = idx + 1
  end
  -- print("looked at "..idx.." items")
  idx = 0
  for i,lootString in pairs(self.TestLootTable) do
    -- if idx == 0 then self:Print("looking for "..itemName.." in Test loot table") end
    if i == itemName then
      -- if idx == 0 then print ("comparing to "..i) end
      return lootString
    end
    idx = idx + 1
  end
  -- print("looked at "..idx.." test items without finding "..itemName)
  return nil
end

function TheLoot:LoadAllTheLoot()
  for itemName,lootString in pairs(self.BigLootTable) do
    HazLootList:AddItem(lootString)
  end
end

TheLoot.BigLootTable = {
["Abetment Bracers"]="Abetment Bracers|Healer",
["Ablative Chitin Girdle"]="Ablative Chitin Girdle|Tank",
["Accursed Spine"]="Accursed Spine|Caster DPS,Healer",
["Aged Winter Cloak"]="Aged Winter Cloak|Physical DPS",
["Angry Dread"]="Angry Dread|Physical DPS",
["Arachnoid Gold Band"]="Arachnoid Gold Band|Physical DPS",
["Armageddon"]="Armageddon|Physical DPS",
["Arrowsong"]="Arrowsong|Physical DPS",
["Atonement Greaves"]="Atonement Greaves|Caster DPS,Healer",
["Bandit's Insignia"]="Bandit's Insignia|Physical DPS",
["Bands of Impurity"]="Bands of Impurity|Caster DPS,Healer",
["Bands of Mutual Respect"]="Bands of Mutual Respect|Caster DPS,Healer",
["Belt of False Dignity"]="Belt of False Dignity|Caster DPS,Healer",
["Belt of Potent Chanting"]="Belt of Potent Chanting|Caster DPS,Healer",
["Belt of the Tortured"]="Belt of the Tortured|Physical DPS",
["Benefactor's Gauntlets"]="Benefactor's Gauntlets|Caster DPS,Healer",
["Betrayer of Humanity"]="Betrayer of Humanity|Physical DPS",
["Bindings of Yearning"]="Bindings of Yearning|Caster DPS,Healer",
["Bindings of the Decrepit"]="Bindings of the Decrepit|Caster DPS,Healer",
["Bindings of the Expansive Mind"]="Bindings of the Expansive Mind|Caster DPS",
["Bindings of the Hapless Prey"]="Bindings of the Hapless Prey|Tank",
["Bone-Inlaid Legguards"]="Bone-Inlaid Legguards|Healer",
["Boots of Forlorn Wishes"]="Boots of Forlorn Wishes|Caster DPS,Healer",
["Boots of Impetuous Ideals"]="Boots of Impetuous Ideals|Caster DPS",
["Boots of Persuasion"]="Boots of Persuasion|Caster DPS,Healer",
["Boots of Septic Wounds"]="Boots of Septic Wounds|Caster DPS,Healer",
["Boots of the Escaped Captive"]="Boots of the Escaped Captive|Caster DPS,Healer",
["Boots of the Great Construct"]="Boots of the Great Construct|Physical DPS",
["Boundless Ambition"]="Boundless Ambition|Tank",
["Bracers of Liberation"]="Bracers of Liberation|Healer",
["Bracers of Unrelenting Attack"]="Bracers of Unrelenting Attack|Physical DPS",
["Bracers of the Tyrant"]="Bracers of the Tyrant|Physical DPS",
["Bracers of the Unholy Knight"]="Bracers of the Unholy Knight|Tank",
["Breastplate of Frozen Pain"]="Breastplate of Frozen Pain|Physical DPS",
["Breastplate of the Lost Conqueror"]="Breastplate of the Lost Conqueror|Tier piece:Paladin,Tier piece:Priest,Tier piece:Warlock",
["Breastplate of the Lost Protector"]="Breastplate of the Lost Protector|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Breastplate of the Lost Vanquisher"]="Breastplate of the Lost Vanquisher|Tier piece:Death Knight,Tier piece:Druid,Tier piece:Mage,Tier piece:Rogue",
["Breastplate of Tormented Rage"]="Breastplate of Tormented Rage|Tank",
["Broken Promise"]="Broken Promise|Tank",
["Burdened Shoulderplates"]="Burdened Shoulderplates|Tank",
["Calamity's Grasp"]="Calamity's Grasp|Physical DPS",
["Callous-Hearted Gauntlets"]="Callous-Hearted Gauntlets|Tank",
["Cape of the Unworthy Wizard"]="Cape of the Unworthy Wizard|Caster DPS,Healer",
["Ceaseless Pity"]="Ceaseless Pity|Caster DPS,Healer",
["Chains of Adoration"]="Chains of Adoration|Caster DPS,Healer",
["Chestguard of Bitter Charms"]="Chestguard of Bitter Charms|Healer",
["Chestguard of the Exhausted"]="Chestguard of the Exhausted|Tank",
["Chestpiece of Suspicion"]="Chestpiece of Suspicion|Physical DPS",
["Cincture of Polarity"]="Cincture of Polarity|Caster DPS",
["Cloak of Averted Crisis"]="Cloak of Averted Crisis|Caster DPS,Healer",
["Cloak of the Shadowed Sun"]="Cloak of the Shadowed Sun|Tank",
["Corpse Scarab Handguards"]="Corpse Scarab Handguards|Caster DPS,Healer",
["Cosmic Lights"]="Cosmic Lights|Caster DPS,Healer",
["Cover of Silence"]="Cover of Silence|Physical DPS",
["Cowl of Innocent Delight"]="Cowl of Innocent Delight|Caster DPS,Healer",
["Cowl of Vanity"]="Cowl of Vanity|Caster DPS,Healer",
["Cowl of the Perished"]="Cowl of the Perished|Caster DPS,Healer",
["Crippled Treads"]="Crippled Treads|Physical DPS",
["Crown of the Lost Conqueror"]="Crown of the Lost Conqueror|Tier piece:Paladin,Tier piece:Priest,Tier piece:Warlock",
["Crown of the Lost Protector"]="Crown of the Lost Protector|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Crown of the Lost Vanquisher"]="Crown of the Lost Vanquisher|Tier piece:Death Knight,Tier piece:Druid,Tier piece:Mage,Tier piece:Rogue",
["Crude Discolored Battlegrips"]="Crude Discolored Battlegrips|Physical DPS",
["Cryptfiend's Bite"]="Cryptfiend's Bite|Physical DPS",
["Damnation"]="Damnation|Caster DPS,Healer",
["Dawnwalkers"]="Dawnwalkers|Physical DPS",
["Defender's Code"]="Defender's Code|Tank",
["Depraved Linked Belt"]="Depraved Linked Belt|Physical DPS",
["Desecrated Past"]="Desecrated Past|Caster DPS,Healer",
["Digested Silken Robes"]="Digested Silken Robes|Caster DPS,Healer",
["Dislocating Handguards"]="Dislocating Handguards|Physical DPS",
["Distorted Limbs"]="Distorted Limbs|Caster DPS,Healer",
["Drape of the Deadly Foe"]="Drape of the Deadly Foe|Caster DPS,Healer",
["Dying Curse"]="Dying Curse|Caster DPS",
["Envoy of Mortality"]="Envoy of Mortality|Physical DPS",
["Epaulets of the Grieving Servant"]="Epaulets of the Grieving Servant|Healer",
["Eruption-Scared Boots"]="Eruption-Scared Boots|Caster DPS,Healer",
["Esteemed Bindings"]="Esteemed Bindings|Caster DPS,Healer",
["Extract of Necromatic Power"]="Extract of Necromatic Power|Caster DPS",
["Faceguard of the Succumbed"]="Faceguard of the Succumbed|Healer",
["Fading Glow"]="Fading Glow|Caster DPS,Healer",
["Faerlina's Madness"]="Faerlina's Madness|Caster DPS",
["Faithful Steel Sabatons"]="Faithful Steel Sabatons|Healer",
["Fallout Impervious Tunic"]="Fallout Impervious Tunic|Caster DPS,Healer",
["Final Voyage"]="Final Voyage|Physical DPS",
["Fire-Scorched Greathelm"]="Fire-Scorched Greathelm|Physical DPS",
["Fleshless Girdle"]="Fleshless Girdle|Tank",
["Fool's Trial"]="Fool's Trial|Physical DPS",
["Footwraps of Vile Deceit"]="Footwraps of Vile Deceit|Physical DPS",
["Forethought Talisman"]="Forethought Talisman|Healer",
["Gatekeeper"]="Gatekeeper|Tank",
["Gauntlets of Guiding Touch"]="Gauntlets of Guiding Touch| Healer",
["Gauntlets of the Disobedient"]="Gauntlets of the Disobedient|Tank",
["Gemmed Wand of the Nerubians"]="Gemmed Wand of the Nerubians|Caster DPS",
["Girdle of Chivalry"]="Girdle of Chivalry|Physical DPS",
["Girdle of Razuvious"]="Girdle of Razuvious|Physical DPS",
["Girdle of Recuperation"]="Girdle of Recuperation|Caster DPS,Healer",
["Girdle of Unity"]="Girdle of Unity|Healer",
["Girdle of the Gambit"]="Girdle of the Gambit|Caster DPS,Healer",
["Gloves of Calculated Risk"]="Gloves of Calculated Risk|Physical DPS",
["Gloves of Fast Reactions"]="Gloves of Fast Reactions|Physical DPS",
["Gloves of Grandeur"]="Gloves of Grandeur|Caster DPS",
["Gloves of Peaceful Death"]="Gloves of Peaceful Death|Caster DPS,Healer",
["Gloves of Token Respect"]="Gloves of Token Respect|Caster DPS,Healer",
["Gloves of the Dancing Bear"]="Gloves of the Dancing Bear|Caster DPS,Healer",
["Gloves of the Fallen Wizard"]="Gloves of the Fallen Wizard|Caster DPS",
["Gothik's Cowl"]="Gothik's Cowl|Caster DPS,Healer",
["Greaves of Turbulence"]="Greaves of Turbulence|Tank",
["Grim Toll"]="Grim Toll|Physical DPS",
["Grotesque Handgrips"]="Grotesque Handgrips|Physical DPS",
["Haunting Call"]="Haunting Call|Caster DPS",
["Headpiece of Fungal Bloom"]="Headpiece of Fungal Bloom|Caster DPS,Healer",
["Heigan's Putrid Vestments"]="Heigan's Putrid Vestments|Caster DPS",
["Helm of Diminished Pride"]="Helm of Diminished Pride|Healer",
["Helm of Pilgrimage"]="Helm of Pilgrimage|Caster DPS,Healer",
["Helm of Unleashed Energy"]="Helm of Unleashed Energy|Caster DPS,Healer",
["Helm of Vital Protection"]="Helm of Vital Protection|Tank",
["Helm of the Grave"]="Helm of the Grave|Physical DPS",
["Heritage"]="Heritage|Tank",
["Hero's Surrender"]="Hero's Surrender|Tank",
["Hood of the Exodus"]="Hood of the Exodus|Physical DPS",
["Icy Blast Amulet"]="Icy Blast Amulet|Physical DPS",
["Inevitable Defeat"]="Inevitable Defeat|Physical DPS,Tank:Death Knight",
["Inexorable Sabatons"]="Inexorable Sabatons|Tank",
["Infectious Skitterer Leggings"]="Infectious Skitterer Leggings|Physical DPS",
["Iron-Spring Jumpers"]="Iron-Spring Jumpers|Physical DPS",
["Journey's End"]="Journey's End|Tank,Physical DPS:Druid",
["Last Laugh"]="Last Laugh|Tank",
["Leggings of Atrophy"]="Leggings of Atrophy|Caster DPS",
["Leggings of Colossal Strides"]="Leggings of Colossal Strides|Physical DPS",
["Leggings of Failed Escape"]="Leggings of Failed Escape|Physical DPS",
["Leggings of Fleeting Moments"]="Leggings of Fleeting Moments|Physical DPS",
["Leggings of Mortal Arrogance"]="Leggings of Mortal Arrogance|Caster DPS,Healer",
["Leggings of Voracious Shadows"]="Leggings of Voracious Shadows|Caster DPS,Healer",
["Legguards of the Apostle"]="Legguards of the Apostle|Healer",
["Legguards of the Boneyard"]="Legguards of the Boneyard|Caster DPS,Healer",
["Legguards of the Undisturbed"]="Legguards of the Undisturbed|Caster DPS,Healer",
["Legplates of Double Strikes"]="Legplates of Double Strikes|Physical DPS",
["Legplates of the Lost Conqueror"]="Legplates of the Lost Conqueror|Tier piece:Paladin,Tier piece:Priest,Tier piece:Warlock",
["Legplates of the Lost Protector"]="Legplates of the Lost Protector|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Legplates of the Lost Vanquisher"]="Legplates of the Lost Vanquisher|Tier piece:Death Knight,Tier piece:Druid,Tier piece:Mage,Tier piece:Rogue",
["Legwraps of the Defeated Dragon"]="Legwraps of the Defeated Dragon|Caster DPS",
["Life and Death"]="Life and Death|Caster DPS,Healer",
["Lost Jewel"]="Lost Jewel|Caster DPS,Healer",
["Mantle of Shattered Kinship"]="Mantle of Shattered Kinship|Caster DPS,Healer",
["Mantle of the Corrupted"]="Mantle of the Corrupted|Caster DPS",
["Mantle of the Fatigued Sage"]="Mantle of the Fatigued Sage|Caster DPS",
["Mantle of the Locusts"]="Mantle of the Locusts|Caster DPS,Healer",
["Mantle of the Lost Conqueror"]="Mantle of the Lost Conqueror|Tier piece:Paladin,Tier piece:Priest,Tier piece:Warlock",
["Mantle of the Lost Protector"]="Mantle of the Lost Protector|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Mantle of the Lost Vanquisher"]="Mantle of the Lost Vanquisher|Tier piece:Death Knight,Tier piece:Druid,Tier piece:Mage,Tier piece:Rogue",
["Matriarch's Spawn"]="Matriarch's Spawn|Caster DPS,Healer",
["Murder"]="Murder|Physical DPS",
["Noble Birthright Pauldrons"]="Noble Birthright Pauldrons|Healer",
["Origin of Nightmares"]="Origin of Nightmares|Tank,Physical DPS:Druid",
["Ousted Bead Necklace"]="Ousted Bead Necklace|Caster DPS,Healer",
["Pauldrons of Unnatural Death"]="Pauldrons of Unnatural Death|Tank",
["Pauldrons of the Abandoned"]="Pauldrons of the Abandoned|Physical DPS",
["Plague Igniter"]="Plague Igniter|Caster DPS,Healer",
["Platehelm of the Great Wyrm"]="Platehelm of the Great Wyrm|Tank",
["Poignant Sabatons"]="Poignant Sabatons|Healer",
["Punctilious Bindings"]="Punctilious Bindings|Caster DPS,Healer",
["Quivering Tunic"]="Quivering Tunic|Caster DPS,Healer",
["Rescinding Grips"]="Rescinding Grips|Healer",
["Ring of Decaying Beauty"]="Ring of Decaying Beauty|Caster DPS,Healer",
["Riveted Abomination Leggings"]="Riveted Abomination Leggings|Physical DPS",
["Robes of Mutation"]="Robes of Mutation|Caster DPS,Healer",
["Rune of Repulsion"]="Rune of Repulsion|Tank",
["Ruthlessness"]="Ruthlessness|Physical DPS",
["Sabatons of Endurance"]="Sabatons of Endurance|Tank",
["Sabatons of Sudden Reprisal"]="Sabatons of Sudden Reprisal|Physical DPS",
["Sand-Worn Band"]="Sand-Worn Band|Tank",
["Sash of Solitude"]="Sash of Solitude|Caster DPS,Healer",
["Sash of the Parlor"]="Sash of the Parlor|Caster DPS,Healer",
["Seized Beauty"]="Seized Beauty|Caster DPS,Healer",
["Serene Echoes"]="Serene Echoes|Caster DPS,Healer",
["Shackled Cinch"]="Shackled Cinch|Caster DPS,Healer",
["Shadow of the Ghoul"]="Shadow of the Ghoul|Tank",
["Shawl of the Old Maid"]="Shawl of the Old Maid|Caster DPS,Healer",
["Shield of Assimilation"]="Shield of Assimilation|Caster DPS,Healer",
["Shoulderguards of Opportunity"]="Shoulderguards of Opportunity|Physical DPS",
["Shoulderguards of the Undaunted"]="Shoulderguards of the Undaunted|Physical DPS",
["Shoulderpads of Secret Arts"]="Shoulderpads of Secret Arts|Physical DPS",
["Shroud of Luminosity"]="Shroud of Luminosity|Caster DPS,Healer",
["Signet of Manifested Pain"]="Signet of Manifested Pain|Caster DPS,Healer",
["Silent Crusader"]="Silent Crusader|Physical DPS",
["Sinister Revenge"]="Sinister Revenge|Physical DPS",
["Sinner's Bindings"]="Sinner's Bindings|Physical DPS",
["Slime Stream Bands"]="Slime Stream Bands|Physical DPS",
["Soul of the Dead"]="Soul of the Dead|Caster DPS,Healer",
["Spaulders of Egotism"]="Spaulders of Egotism|Physical DPS",
["Spaulders of Incoherence"]="Spaulders of Incoherence|Caster DPS,Healer",
["Spinning Fate"]="Spinning Fate|Physical DPS",
["Spire of Sunset"]="Spire of Sunset|Caster DPS,Healer",
["Split Greathammer"]="Split Greathammer|Physical DPS",
["Strong-Handed Ring"]="Strong-Handed Ring|Physical DPS",
["Surplus Limb"]="Surplus Limb|Caster DPS",
["Swarm Bindings"]="Swarm Bindings|Caster DPS,Healer",
["Sympathetic Amice"]="Sympathetic Amice|Caster DPS,Healer",
["Sympathy"]="Sympathy|Healer",
["The Hand Of Nerub"]="The Hand Of Nerub|Physical DPS",
["The Impossible Dream"]="The Impossible Dream|Caster DPS,Healer",
["The Jawbone"]="The Jawbone|Physical DPS",
["The Turning Tide"]="The Turning Tide|Caster DPS,Healer",
["The Undeath Carrier"]="The Undeath Carrier|Physical DPS:Druid",
["Thrusting Bands"]="Thrusting Bands|Physical DPS",
["Thunderstorm Amulet"]="Thunderstorm Amulet|Caster DPS",
["Torch of Holy Fire"]="Torch of Holy Fire|Caster DPS,Healer",
["Torn Web Wrapping"]="Torn Web Wrapping|Physical DPS",
["Touch of Horror"]="Touch of Horror|Caster DPS,Healer",
["Tunic of Indulgence"]="Tunic of Indulgence|Physical DPS",
["Tunic of Masked Suffering"]="Tunic of Masked Suffering|Physical DPS",
["Tunic of Prejudice"]="Tunic of Prejudice|Caster DPS,Healer",
["Twilight Mist"]="Twilight Mist|Physical DPS",
["Undiminished Battleplate"]="Undiminished Battleplate|Physical DPS",
["Urn of Lost Memories"]="Urn of Lost Memories|Caster DPS,Healer",
["Vest of Vitality"]="Vest of Vitality|Caster DPS,Healer",
["Voice of Reason"]="Voice of Reason|Caster DPS,Healer",
["Waistguard of Divine Grace"]="Waistguard of Divine Grace|Healer",
["Wall of Terror"]="Wall of Terror|Tank",
["Webbed Death"]="Webbed Death|Physical DPS",
["Widow's Fury"]="Widow's Fury|Physical DPS",
["Wraith Strike"]="Wraith Strike|Caster DPS,Healer",
["Wraps of the Persecuted"]="Wraps of the Persecuted|Caster DPS,Healer",
["Zeliek's Gauntlets"]="Zeliek's Gauntlets|Physical DPS",
}
TheLoot.TestLootTable = {
["Smite's Mighty Hammer"]="Smite's Mighty Hammer|Physical DPS",
["Smite's Reaver"]="Smite's Reaver|Tank",
["Buzz Saw"]="Buzz Saw|Healer:Druid",
["Thief's Blade"]="Thief's Blade|Physical DPS",
["Emberstone Staff"]="Emberstone Staff|Caster DPS",
["Blackened Defias Belt"]="Blackened Defias Belt|Physical DPS",
["Impaling Harpoon"]="Impaling Harpoon|Physical DPS",
["Cookie's Stirring Rod"]="Cookie's Stirring Rod|Healer,Caster DPS",
["Cookie's Tenderizer"]="Cookie's Tenderizer|Physical DPS",
["Cape of the Brotherhood"]="Cape of the Brotherhood|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Blackened Defias Armor"]="Blackened Defias Armor|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Cruel Barb"]="Cruel Barb|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Corsair's Overshirt"]="Corsair's Overshirt|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Rockslicer"]="Rockslicer|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Rhahk'Zor's Hammer"]="Rhahk'Zor's Hammer|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Taskmaster Axe"]="Taskmaster Axe|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Gold-flecked Gloves"]="Gold-flecked Gloves|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
["Buzzer Blade"]="Buzzer Blade|Tank",
["Lavishly Jeweled Ring"]="Lavishly Jeweled Ring|Physical DPS,Caster DPS",
["Smelting Pants"]="Smelting Pants|Tier piece:Hunter,Tier piece:Shaman,Tier piece:Warrior",
}
